#Autorin: Julia Zingg
#Datum: 13.09.2020
#20200916_Hausuebungsbeispiele.py: Hausübung auf den 16.09.2020

#1.1.a
print("Name,", "Vorname,", "Strasse,", "Hausnr.,", "PLZ,", "Wohnort")

#1.1.b
addition = 1+2+3+4+5
subtraktion = 1-2-3-4-5
multiplikation = 2*3*4*5
division = 1/2/3/4/5
print (addition, subtraktion, multiplikation, division)

#Grafikprogrammbibliothek "turtle" importieren für 1.2 und 1.3
from turtle import *

#1.2.b
reset()
forward(100)
left(90)
forward(50)
left(90)
forward(100)
left(90)
forward(50)

#1.2.e
reset()
pensize(5)
pencolor("blue")
left(120)
forward(100)
left(120)
forward(100)
left(120)
forward(100)
pencolor("red")
forward(100)
left(120)
forward(100)
left(120)
forward(100)
pencolor("#66ff00")
forward(100)
left(120)
forward(100)
left(120)
forward(100)

#1.3.b
reset()
pensize(5)
pencolor("red")
fillcolor("cyan")
begin_fill()
right(45)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
end_fill()
fillcolor("yellow")
begin_fill()
left(15)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
end_fill()
fillcolor("violet")
begin_fill()
left(15)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
end_fill()
fillcolor("blue")
begin_fill()
left(15)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
end_fill()
fillcolor("#66ff00")
begin_fill()
left(15)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
left(90)
forward(100)
end_fill()